ViewVC Help
View File | Revision Log | Show Annotations | Download File | View Changeset | Root Listing
root/mports/trunk/Makefile
Revision: 630
Committed: Tue Dec 26 00:52:57 2006 UTC (17 years, 4 months ago) by laffer1
File size: 5141 byte(s)
Log Message:
Add Net Management

File Contents

# User Rev Content
1 laffer1 630 # $MidnightBSD: mports/Makefile,v 1.24 2006/11/02 22:27:23 wintellect Exp $
2 archite 2 #
3    
4 wintellect 74 SUBDIR += accessibility
5 laffer1 20 SUBDIR += archivers
6 laffer1 151 SUBDIR += audio
7 archite 2 SUBDIR += converters
8 laffer1 294 SUBDIR += databases
9 archite 2 SUBDIR += devel
10 wintellect 273 SUBDIR += dns
11 laffer1 167 SUBDIR += editors
12 laffer1 155 SUBDIR += emulators
13 laffer1 369 SUBDIR += ftp
14 laffer1 335 SUBDIR += games
15 laffer1 153 SUBDIR += german
16 archite 2 SUBDIR += graphics
17     SUBDIR += irc
18 laffer1 369 SUBDIR += java
19 archite 2 SUBDIR += lang
20 laffer1 167 SUBDIR += mail
21 laffer1 116 SUBDIR += math
22 archite 10 SUBDIR += misc
23 wintellect 310 SUBDIR += multimedia
24 archite 2 SUBDIR += net-im
25 laffer1 630 SUBDIR += net-mgmt
26 wintellect 404 SUBDIR += net-p2p
27 wintellect 475 SUBDIR += news
28 archite 2 SUBDIR += print
29 archite 8 SUBDIR += security
30 laffer1 103 SUBDIR += shells
31 archite 6 SUBDIR += sysutils
32 archite 2 SUBDIR += textproc
33     SUBDIR += www
34     SUBDIR += x11
35 wintellect 266 SUBDIR += x11-clocks
36 laffer1 151 SUBDIR += x11-fonts
37     SUBDIR += x11-fm
38     SUBDIR += x11-servers
39 laffer1 161 SUBDIR += x11-themes
40 wintellect 80 SUBDIR += x11-toolkits
41 archite 5 SUBDIR += x11-wm
42 archite 2
43     PORTSTOP= yes
44    
45     .include <bsd.port.subdir.mk>
46    
47     index:
48     @rm -f ${INDEXDIR}/${INDEXFILE}
49     @cd ${.CURDIR} && make ${INDEXDIR}/${INDEXFILE}
50    
51     fetchindex: ${INDEXDIR}/{INDEXFILE}.bz2
52     @bunzip2 < ${INDEXDIR}/${INDEXFILE}.bz2 > ${INDEXDIR}/${INDEXFILE} && \
53     chmod a+r ${INDEXDIR}/${INDEXFILE}
54    
55     ${INDEXDIR}/{INDEXFILE}.bz2: .PHONY
56     @${FETCHINDEX} ${INDEXDIR}/${INDEXFILE}.bz2 ${MASTER_SITE_INDEX}${INDEXFILE}.bz2
57    
58 laffer1 289 MASTER_SITE_INDEX?= http://www.MidnightBSD.org/ports/
59 archite 2 SETENV?= /usr/bin/env
60     FETCHINDEX?= ${SETENV} ${FETCH_ENV} fetch -am -o
61     INDEX_JOBS?= 2
62    
63     .if !defined(INDEX_VERBOSE)
64     INDEX_ECHO_MSG= echo > /dev/null
65     INDEX_ECHO_1ST= echo -n
66     .else
67     INDEX_ECHO_MSG= echo 1>&2
68     INDEX_ECHO_1ST= echo
69     .endif
70    
71     ${INDEXDIR}/${INDEXFILE}:
72     @${INDEX_ECHO_1ST} "Generating ${INDEXFILE} - please wait.."; \
73     if [ "${INDEX_PRISTINE}" != "" ]; then \
74     export LOCALBASE=/nonexistentlocal; \
75     export X11BASE=/nonexistentx; \
76     fi; \
77     tmpdir=`/usr/bin/mktemp -d -t index` || exit 1; \
78     trap "rm -rf $${tmpdir}; exit 1" 1 2 3 5 10 13 15; \
79     ( cd ${.CURDIR} && make -j${INDEX_JOBS} INDEX_TMPDIR=$${tmpdir} BUILDING_INDEX=1 \
80     ECHO_MSG="${INDEX_ECHO_MSG}" describe ) || \
81     (rm -rf $${tmpdir} ; \
82     if [ "${INDEX_QUIET}" = "" ]; then \
83     echo; \
84     echo "********************************************************************"; \
85     echo "Before reporting this error, verify that you are running a supported"; \
86 laffer1 289 echo "version of MidnightBSD (see http://www.MidnightBSD.org/ports/) and that you"; \
87 archite 2 echo "have a complete and up-to-date ports collection. (INDEX builds are"; \
88     echo "not supported with partial or out-of-date ports collections -- in"; \
89     echo "particular, if you are using cvsup, you must cvsup the \"ports-all\""; \
90     echo "collection, and have no \"refuse\" files.) If that is the case, then"; \
91 laffer1 289 echo "report the failure to ports@MidnightBSD.org together with relevant"; \
92     echo "details of your ports configuration (including MidnightBSD version,"; \
93 archite 2 echo "your architecture, your environment, and your /etc/make.conf"; \
94     echo "settings, especially compiler flags and WITH/WITHOUT settings)."; \
95     echo; \
96     echo "Note: the latest pre-generated version of INDEX may be fetched"; \
97     echo "automatically with \"make fetchindex\"."; \
98     echo "********************************************************************"; \
99     echo; \
100     fi; \
101     exit 1); \
102     cat $${tmpdir}/${INDEXFILE}.desc.* | (cd ${.CURDIR} ; perl ${.CURDIR}/Tools/make_index) | \
103     sed -e 's/ */ /g' -e 's/| */|/g' -e 's/ *|/|/g' -e 's./..g' | \
104     sort -t '|' +1 -2 | \
105     sed -e 's../.g' > ${INDEXDIR}/${INDEXFILE}.tmp; \
106     if [ "${INDEX_PRISTINE}" != "" ]; then \
107     sed -e "s,$${LOCALBASE},/usr/local," -e "s,$${X11BASE},/usr/X11R6," \
108     ${INDEXDIR}/${INDEXFILE}.tmp > ${INDEXDIR}/${INDEXFILE}; \
109     else \
110     mv ${INDEXDIR}/${INDEXFILE}.tmp ${INDEXDIR}/${INDEXFILE}; \
111     fi; \
112     rm -rf $${tmpdir}; \
113     echo " Done."
114    
115     print-index: ${INDEXDIR}/${INDEXFILE}
116     @awk -F\| '{ printf("Port:\t%s\nPath:\t%s\nInfo:\t%s\nMaint:\t%s\nIndex:\t%s\nB-deps:\t%s\nR-deps:\t%s\nE-deps:\t%s\nP-deps:\t%s\nF-deps:\t%s\nWWW:\t%s\n\n", $$1, $$2, $$4, $$6, $$7, $$8, $$9, $$11, $$12, $$13, $$10); }' < ${INDEXDIR}/${INDEXFILE}
117    
118     CVS?= cvs
119     SUP?= cvsup
120     PORTSNAP?= portsnap
121     PORTSNAP_FLAGS?= -p ${.CURDIR}
122     .if defined(SUPHOST)
123     SUPFLAGS+= -h ${SUPHOST}
124     .endif
125     update:
126     .if defined(PORTSNAP_UPDATE)
127     @echo "--------------------------------------------------------------"
128     @echo ">>> Running ${PORTSNAP}"
129     @echo "--------------------------------------------------------------"
130     @${PORTSNAP} ${PORTSNAP_FLAGS} fetch
131     @${PORTSNAP} ${PORTSNAP_FLAGS} update
132     .elif defined(SUP_UPDATE) && defined(PORTSSUPFILE)
133     @echo "--------------------------------------------------------------"
134     @echo ">>> Running ${SUP}"
135     @echo "--------------------------------------------------------------"
136     @${SUP} ${SUPFLAGS} ${PORTSSUPFILE}
137     .elif defined(CVS_UPDATE)
138     @echo "--------------------------------------------------------------"
139     @echo ">>> Updating ${.CURDIR} from cvs repository" ${CVSROOT}
140     @echo "--------------------------------------------------------------"
141     cd ${.CURDIR}; ${CVS} -R -q update -A -P -d -I!
142     .elif defined(SUP_UPDATE) && !defined(PORTSSUPFILE)
143     @${ECHO_MSG} "Error: Please define PORTSSUPFILE before doing make update."
144     @exit 1
145     .else
146     @${ECHO_MSG} "Error: Please define either PORTSNAP_UPDATE, SUP_UPDATE, or CVS_UPDATE first."
147     .endif

Properties

Name Value
cvs2svn:cvs-rev 1.25